<div class="input-group-append">
  <button class="btn btn-sm btn-primary" type="button" (click)="search(true)"
          title="Search by ADID or Email, this is used for single user search">
    <i class="fa fa-search fa-1x"></i>
  </button>
  <button class="btn btn-sm btn-primary" type="button" (click)="search(false)"
          title="Search by ADID or Email or Last Name or First Name">
    <i class="fa fa-address-book fa-1x"></i>
  </button>
  <button class="btn btn-sm btn-primary" type="button" (click)="reset()"
          title="Clear all users">
    <i class="fa fa-times fa-1x"></i>
  </button>
</div>

<div class="modal fade" id="{{ 'user-picker-' + id }}" tabindex="-1" role="dialog" aria-hidden="true">
  <div class="modal-dialog modal-xl" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title">Select User/s</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <div class="input-group">
          <input #searchText id="searchText" name="searchText"
                  type="text" class="form-control form-control-sm" />
          <button class="btn btn-sm btn-primary" type="button" (click)="advanceSearch(searchText.value)">
            <i class="fa fa-search fa-1x"></i>
          </button>
          <button class="btn btn-sm btn-primary" type="button" (click)="searchText.value = null">
            <i class="fa fa-times fa-1x"></i>
          </button>
        </div>
        <dx-data-grid #grid id="grid" [dataSource]="users" keyExpr="userId"
                      [rowAlternationEnabled]="true" [showBorders]="true"
                      (onRowClick)="onRowClick($event)"
                      (onContentReady)="grid.instance.searchByText(grid.searchPanel.text.trim())"
                      (onToolbarPreparing)="onToolbarPreparing($event)">
          <dxo-sorting mode="multiple"></dxo-sorting>
          <dxo-paging [pageSize]="50"></dxo-paging>
          <dxo-pager [showPageSizeSelector]="true" [allowedPageSizes]="[25, 50, 100]"></dxo-pager>
          <dxo-scrolling mode="standard" showScrollbar="always" useNative="false"></dxo-scrolling>
          <dxo-search-panel [visible]="true" [highlightCaseSensitive]="true"></dxo-search-panel>
          <dxi-column dataField="userAdid" caption="NTID" dataType="string"></dxi-column>
          <dxi-column dataField="dsplNme" caption="Display Name" dataType="string"></dxi-column>
          <dxi-column dataField="emailAdr" caption="Email" dataType="string"></dxi-column>
          <div *dxTemplate="let data of 'addTemplate'">
            <button class="btn btn-sm btn-primary" type="button"
                    [disabled]="!selectedItemKeys.length" (click)="add()">
              Done
            </button>
          </div>
        </dx-data-grid>
      </div>
    </div>
  </div>
</div>

